Delete shared memory block

- « shmop_close

- shmop_open »

- PHP Manual
- Shared Memory Functions
- Delete shared memory block

# shmop_delete

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

shmop_delete — Delete shared memory block

### Description

shmop_delete(Shmop `$shmop`): bool

shmop_delete() is used to delete a shared memory block.

### Parameters

`shmop`

  The shared memory block resource created by shmop_open()

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `shmop` expects a Shmop instance now; previously, a resource was expected.

### Examples

Example #1 Deleting shared memory block

    <?php
    shmop_delete($shm_id);
    ?>

This example will delete shared memory block identified by `$shm_id`.